=== debian/control ===
Source: ros-iron-rosbag2-performance-benchmarking
Section: misc
Priority: optional
Maintainer: Michael Orlov <michael.orlov@apex.ai>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-launch-ros <!nocheck>, ros-iron-rclcpp, ros-iron-rmw, ros-iron-ros-testing <!nocheck>, ros-iron-ros2bag <!nocheck>, ros-iron-ros2launch <!nocheck>, ros-iron-rosbag2-compression, ros-iron-rosbag2-cpp, ros-iron-rosbag2-performance-benchmarking-msgs, ros-iron-rosbag2-py, ros-iron-rosbag2-storage, ros-iron-rosbag2-storage-default-plugins <!nocheck>, ros-iron-rosbag2-test-common <!nocheck>, ros-iron-sensor-msgs, ros-iron-yaml-cpp-vendor, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-rosbag2-performance-benchmarking
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-rclcpp, ros-iron-rmw, ros-iron-rosbag2-compression, ros-iron-rosbag2-cpp, ros-iron-rosbag2-performance-benchmarking-msgs, ros-iron-rosbag2-py, ros-iron-rosbag2-storage, ros-iron-sensor-msgs, ros-iron-yaml-cpp-vendor, ros-iron-ros-workspace
Description: Code to benchmark rosbag2
